-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlDeploymentDiagram

Declaration :

- C++ : class UmlDeploymentDiagram : public UmlBaseDeploymentDiagram
- Java : class UmlDeploymentDiagram extends UmlBaseDeploymentDiagram

This class manages 'deployment diagrams', notes that the class 'UmlDiagram' is a mother class of all the diagrams, allowing to generalize their management You can modify it as you want (except the constructor)

Artifact : UmlDeploymentDiagram

Operation UmlDeploymentDiagram

Declaration :

- C++ : public: UmlDeploymentDiagram(void * id, const QCString & n) : UmlBaseDeploymentDiagram(id, n)
- Java : public UmlDeploymentDiagram(long id, String n)

All public operations :

apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , saveIn , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload